import { IOnConfigured } from './Feature';
import { IGherkinAst, IGherkinFeatureTest, IGherkinMethods } from './types';
/**
 * This class populates the `feature` property with
 * a data structure that is mapped to a gherkin feature file.
 *
 * The feature file is built up as Scenario()() etc. are invoked,
 * causing the gherkin AST to be parsed and mapped up to the invoking function.
 */
export declare class FeatureBuilder {
    feature: IGherkinFeatureTest;
    constructor(ast: IGherkinAst);
    Scenario(): IGherkinMethods['Scenario'];
    ScenarioOutline(onConfigured: IOnConfigured): IGherkinMethods['ScenarioOutline'];
    Background(): IGherkinMethods['Background'];
    AfterAll(): IGherkinMethods['AfterAll'];
    BeforeAll(): IGherkinMethods['BeforeAll'];
    AfterEach(): IGherkinMethods['AfterEach'];
    BeforeEach(): IGherkinMethods['BeforeEach'];
}
