"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_expressions_1 = require("cucumber-expressions");
/**
 * Produces an expression matcher instance
 * from the cucumber-expressions library
 */
function ExpressionMatcher(match, registry) {
    if (!registry) {
        registry = new cucumber_expressions_1.ParameterTypeRegistry();
    }
    const matcher = typeof match === 'string'
        ? new cucumber_expressions_1.CucumberExpression(match, registry)
        : new cucumber_expressions_1.RegularExpression(match, registry);
    return matcher;
}
exports.ExpressionMatcher = ExpressionMatcher;
