import { IGherkinAstTableRow, ITable } from '../types';
/**
 * A gherkin feature file's table:
 *
 *   | a | b |
 *   | 1 | 2 |
 *
 * Becomes `IGherkinAstTableRows[]`
 *
 * @example
 *
 * const table = GherkinTableReader({ rows });
 * table.dict();
 */
export declare function GherkinTableReader({ rows: inputRows }: {
    rows: IGherkinAstTableRow[];
}): ITable;
