"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const c = require("colors");
const ExpressionMatcher_1 = require("./ExpressionMatcher");
function matchInGherkinCollection({ type, match, collection, matchProperty }) {
    const filteredByType = collection
        .filter((child) => child.type === type);
    // TODO: this needs to ALSO filter on `keyword`!
    const matchingChild = filteredByType
        .find((child) => matchGherkinText(child[matchProperty], match));
    if (!matchingChild) {
        throw new Error([
            `Couldn't find a match for ${c.cyan(type)} expression:`,
            `  ${c.red(match.toString())}`,
            `Possible matches:`,
            ...filteredByType.map((child) => `  ${c.yellow(child[matchProperty])}`),
            '',
        ].join('\n'));
    }
    return matchingChild;
}
exports.matchInGherkinCollection = matchInGherkinCollection;
function matchGherkinText(subject, match) {
    const matcher = ExpressionMatcher_1.ExpressionMatcher(match);
    return !!(subject.match(matcher.regexp) || []).length;
}
exports.matchGherkinText = matchGherkinText;
